"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaVerifyIdToken = void 0;
const joi_1 = __importDefault(require("joi"));
const auth_base_token_1 = require("./auth-base-token");
const _rule = joi_1.default.object().keys({
    action: joi_1.default.string().required(),
    subject: joi_1.default.string().required(),
    fields: joi_1.default.string()
});
const _rules = joi_1.default.array().items(_rule.required());
exports.schemaVerifyIdToken = {
    ...auth_base_token_1.schemaBaseIdToken,
    rules: _rules
};
//# sourceMappingURL=auth-type-verify.js.map